## cascading.tap.type
Interface FileType<Config>

    public interface FileType<Config>

Interface FileType marks specific platform `Tap` classes as representing a file like interface.

Method Summary
`String[]` `getChildIdentifiers(Config conf)` Method getChildIdentifiers returns an array of child identifiers if this resource is a directory.
`String[]` `getChildIdentifiers(Config conf, int depth, boolean fullyQualified)`
`long` `getSize(Config conf)` Method getSize returns the size of the file referenced by this tap.
`boolean` `isDirectory(Config conf)` Method isDirectory returns true if the underlying resource represents a directory or folder instead of an individual file.

Method Detail

### isDirectory

    boolean isDirectory(Config conf)
                        throws IOException

  Method isDirectory returns true if the underlying resource represents a directory or folder instead of an individual file.

  Parameters:
    `conf` - of JobConf
  Returns:
    boolean
  Throws:
    `IOException`

### getChildIdentifiers

    String[] getChildIdentifiers(Config conf)
                                 throws IOException

  Method getChildIdentifiers returns an array of child identifiers if this resource is a directory.

  This method will skip Hadoop log directories (`_log`).

  Parameters:
    `conf` - of JobConf
  Returns:
    String[]
  Throws:
    `IOException`

### getChildIdentifiers

    String[] getChildIdentifiers(Config conf,
                                 int depth,
                                 boolean fullyQualified)
                                 throws IOException

  Throws:
    `IOException`

### getSize

    long getSize(Config conf)
                 throws IOException

  Method getSize returns the size of the file referenced by this tap.

  Parameters:
    `conf` - of type Config
  Returns:
    The size of the file reference by this tap.
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.